Resolved Trouble installing iOS 7 beta 4 onto 4s

Discussion in 'iOS 7' started by NYR99, Aug 17, 2013.

  1. NYR99, Aug 17, 2013
    Last edited: Aug 17, 2013

    macrumors 6502a

    Joined:
    Dec 30, 2007
    #1
    Hello,
    I am trying to install iOS 7 beta 4 onto my wife's iPhone 4s. I have the correct .ipsw file (iPhone4,1_7.0_11A4435d_Restore), but when I option+update in iTunes, and then point it to that .ipsw, I get this error, "The iPhone "(iPhone Name)" could not be updated. This device isn't eligible for the request build." What am I doing wrong? Also, I have been using iOS 7 on my iPhone 5 since beta 1, and I had no problem installing that...

    Thanks
     
  2. macrumors regular

    Joined:
    Jun 24, 2013
    #2
    She's not a developer and you probably did update instead of restore.
     
  3. thread starter macrumors 6502a

    Joined:
    Dec 30, 2007
    #3
    You are right, I am not a developer, but it installed fine on my iPhone 5. And yes, you are correct, I meant update, not restore. I edited my original post. Thanks.
     
  4. macrumors 65816

    Joined:
    Jul 12, 2010
    #4
    Couple things

    First, Beta 4 isn't being signed anymore. You need Beta 6.

    Second, never use the restore button....there's another button you use...which button is it..hmm..
     
  5. NYR99, Aug 17, 2013
    Last edited: Aug 17, 2013

    thread starter macrumors 6502a

    Joined:
    Dec 30, 2007
    #5
    I thought beta 4 wasn't expired yet. I am downloading beta 6 right now, hopefully that'll work. Also, I already addressed the restore button thing, but thanks.

    UPDATE: Problem solved. Beta 6 did the trick. Thank you kre62.
     
  6. macrumors 6502a

    MinEderPlayz

    Joined:
    Aug 3, 2013
    Location:
    Hamburg, Germany
    #6
    There is a difference between when you can INSTALL beta 4 and when you can RUN it on your device ;)
     

Share This Page